with Ada.Text_IO;
package Model_Viewer.Counter_Box_View is

   type Counter_Box_View_Type is new View_Type with private;
   type Counter_Box_View_Ptr  is access Counter_Box_View_Type'Class;

   procedure Create (Counter_Box  :    out Counter_Box_View_Ptr;
                     What_I_Watch : in     Model_Ptr;
                     For_Box      : in     Character;
                     File_Name    : in     String);

   procedure Update (Counter_Box : in out Counter_Box_View_Type);

private

   type File_Ptr is access Ada.Text_IO.File_Type;
   type Counter_Box_View_Type is new View_Type with 
      record
         My_Box_Char : Character;
         My_File     : File_Ptr;
      end record;

end Model_Viewer.Counter_Box_View;
