with Ada.Text_IO;
package Model_Viewer.Counter_Line_View is

   type Counter_Line_View_Type is new View_Type with private;
   type Counter_Line_View_Ptr  is access Counter_Line_View_Type'Class;

   procedure Create (Counter_Line : in out Counter_Line_View_Ptr;
                     What_I_Watch : in     Model_Ptr;
                     For_Line     : in     Character;
                     File_Name    : in     String);

   procedure Update (Counter_Line : in out Counter_Line_View_Type);

private

   type File_Ptr is access Ada.Text_IO.File_Type;
   type Counter_Line_View_Type is new View_Type with 
      record
         My_Line_Char : Character;
         My_File      : File_Ptr;
      end record;

end Model_Viewer.Counter_Line_View;
