(load "view.cl")

(defclass counter-line (view)
   ((line-character :accessor counter-line-character
                    :initarg  :character)
    (print-stream   :accessor counter-line-stream
                    :initarg  :stream)
   ))

(defmethod update ((receiver counter-line))
   (format (counter-line-stream receiver) "The count's value is ")
   (draw-wrapper receiver)
   (format (counter-line-stream receiver) " ~A "
           (counter-value (view-model receiver)))
   (draw-wrapper receiver)
   (format (counter-line-stream receiver) "~%~%")
   )

(defmethod draw-wrapper ((receiver counter-line))
   (do ((i 1 (+ i 1)))
       ((> i 5) nil)
     (format (counter-line-stream receiver) "~A"
             (counter-line-character receiver))
   ))
