(load "model.cl")

(defclass counter (model)
   ((value :accessor counter-value
           :initform 0)
   ))

(defmethod reset ((receiver counter))
   (setf (counter-value receiver) 0)
   (change receiver)
   )

(defmethod increment ((receiver counter))
   (setf (counter-value receiver)
         (1+ (counter-value receiver)))
   (change receiver)
   )

(defmethod decrement ((receiver counter))
   (setf (counter-value receiver)
         (1- (counter-value receiver)))
   (change receiver)
   )

